Package org.bgerp.plugin.telegram

# Class Bot

java.lang.Object
org.telegram.telegrambots.meta.bots.AbsSender
org.telegram.telegrambots.bots.DefaultAbsSender
org.telegram.telegrambots.bots.TelegramLongPollingBot
org.bgerp.plugin.telegram.Bot

All Implemented Interfaces:
  `org.telegram.telegrambots.meta.generics.LongPollingBot`, `org.telegram.telegrambots.meta.generics.TelegramBot`

public class Bot extends org.telegram.telegrambots.bots.TelegramLongPollingBot

- ## Field Summary

  ### Fields inherited from class org.telegram.telegrambots.bots.DefaultAbsSender

  `exe`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getBotToken()`
  `String`
  `getBotUsername()`
  `static Bot`
  `getInstance()`
  `void`
  `onUpdateReceived(org.telegram.telegrambots.meta.api.objects.Update e)`

  ### Methods inherited from class org.telegram.telegrambots.bots.TelegramLongPollingBot

  `clearWebhook, onClosing`

  ### Methods inherited from class org.telegram.telegrambots.bots.DefaultAbsSender

  `downloadFile, downloadFile, downloadFile, downloadFile, downloadFileAsStream, downloadFileAsStream, downloadFileAsync, downloadFileAsync, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute, executeAsync, executeAsync, executeAsync, executeAsync, executeAsync, executeAsync, executeAsync, executeAsync, executeAsync, executeAsync, executeAsync, executeAsync, executeAsync, executeAsync, executeAsync, executeAsync, getBaseUrl, getOptions, sendApiMethod, sendApiMethodAsync, sendApiMethodAsync`

  ### Methods inherited from class org.telegram.telegrambots.meta.bots.AbsSender

  `execute, executeAsync, executeAsync, getMe, getMeAsync, getMeAsync, getWebhookInfo, getWebhookInfoAsync, getWebhookInfoAsync`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.telegram.telegrambots.meta.generics.LongPollingBot

  `getOptions, onUpdatesReceived`

  ### Methods inherited from interface org.telegram.telegrambots.meta.generics.TelegramBot

  `onRegister`

- ## Method Details

  - ### getInstance

    public static Bot getInstance()

  - ### getBotUsername

    public String getBotUsername()

  - ### getBotToken

    public String getBotToken()
    Specified by:
      `getBotToken` in interface `org.telegram.telegrambots.meta.generics.TelegramBot`
    Overrides:
      `getBotToken` in class `org.telegram.telegrambots.bots.DefaultAbsSender`

  - ### onUpdateReceived

    public void onUpdateReceived(org.telegram.telegrambots.meta.api.objects.Update e)